/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Mixed Breeds
 */
public enum EnumCV_MixedBreeds {

	//Mixed Breeds - CID 7486
	MIXED_BREED_CAT_L_80A74("L-80A74"),
	MIXED_BREED_GOAT_L_80217("L-80217"),
	MIXED_BREED_DOG_L_809DF("L-809DF"),
	MIXED_BREED_HORSE_L_8A10F("L-8A10F"),
	MIXED_BREED_SHEEP_L_8C33A("L-8C33A"),
	MIXED_BREED_CHICKEN_L_93791("L-93791"),
	MIXED_BREED_CATTLE_L_8B947("L-8B947"),
	MIXED_BREED_PIG_L_8B103("L-8B103");

	private String value;

	EnumCV_MixedBreeds(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
